#pragma once
#include "afxwin.h"
#include "colorstatic.h"


// CDlg_Roofs dialog

class CDlg_Roofs : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Roofs)

public:
	CDlg_Roofs(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Roofs();

// Dialog Data
	enum { IDD = IDD_ROOFS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void AddStringsForRoofDlg();
	afx_msg void ReadPreviousInputsFromRoofDlg();
	afx_msg void ReadInputsFromRoofDlg();
	afx_msg void CheckRoofNameStrings();

	DECLARE_MESSAGE_MAP()
public:
	CButton m_btnRoof1;
	CButton m_btnRoof2;
	CButton m_btnRoof3;
	CButton m_btnRoof4;
	CButton m_btnRoof5;
	CButton m_btnRoof6;
	CButton m_btnRoof7;
	CButton m_btnRoof8;
	CButton m_btnRoof9;
	CButton m_btnRoof10;
	CEdit m_editRoof1Name;
	CEdit m_editRoof2Name;
	CEdit m_editRoof3Name;
	CEdit m_editRoof4Name;
	CEdit m_editRoof5Name;
	CEdit m_editRoof6Name;
	CEdit m_editRoof7Name;
	CEdit m_editRoof8Name;
	CEdit m_editRoof9Name;
	CEdit m_editRoof10Name;
	CComboBox m_comboRoof1Construction;
	CComboBox m_comboRoof2Construction;
	CComboBox m_comboRoof3Construction;
	CComboBox m_comboRoof4Construction;
	CComboBox m_comboRoof5Construction;
	CComboBox m_comboRoof6Construction;
	CComboBox m_comboRoof7Construction;
	CComboBox m_comboRoof8Construction;
	CComboBox m_comboRoof9Construction;
	CComboBox m_comboRoof10Construction;
	CEdit m_editRoof1Area;
	CEdit m_editRoof2Area;
	CEdit m_editRoof3Area;
	CEdit m_editRoof4Area;
	CEdit m_editRoof5Area;
	CEdit m_editRoof6Area;
	CEdit m_editRoof7Area;
	CEdit m_editRoof8Area;
	CEdit m_editRoof9Area;
	CEdit m_editRoof10Area;
	CEdit m_Roof1Uvalue;
	CEdit m_Roof2Uvalue;
	CEdit m_Roof3Uvalue;
	CEdit m_Roof4Uvalue;
	CEdit m_Roof5Uvalue;
	CEdit m_Roof6Uvalue;
	CEdit m_Roof7Uvalue;
	CEdit m_Roof8Uvalue;
	CEdit m_Roof9Uvalue;
	CEdit m_Roof10Uvalue;
	afx_msg void OnBnClickedButton6();
	CString str_editRoof1Name;
	CString str_editRoof2Name;
	CString str_editRoof3Name;
	CString str_editRoof4Name;
	CString str_editRoof5Name;
	CString str_editRoof6Name;
	CString str_editRoof7Name;
	CString str_editRoof8Name;
	CString str_editRoof9Name;
	CString str_editRoof10Name;
	CString str_comboRoof1Construction;
	CString str_comboRoof2Construction;
	CString str_comboRoof3Construction;
	CString str_comboRoof4Construction;
	CString str_comboRoof5Construction;
	CString str_comboRoof6Construction;
	CString str_comboRoof7Construction;
	CString str_comboRoof8Construction;
	CString str_comboRoof9Construction;
	CString str_comboRoof10Construction;
	CString str_editRoof1Area;
	CString str_editRoof2Area;
	CString str_editRoof3Area;
	CString str_editRoof4Area;
	CString str_editRoof5Area;
	CString str_editRoof6Area;
	CString str_editRoof7Area;
	CString str_editRoof8Area;
	CString str_editRoof9Area;
	CString str_editRoof10Area;
	CString str_Roof1Uvalue;
	CString str_Roof2Uvalue;
	CString str_Roof3Uvalue;
	CString str_Roof4Uvalue;
	CString str_Roof5Uvalue;
	CString str_Roof6Uvalue;
	CString str_Roof7Uvalue;
	CString str_Roof8Uvalue;
	CString str_Roof9Uvalue;
	CString str_Roof10Uvalue;
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedCheck5();
	afx_msg void OnBnClickedCheck13();
	afx_msg void OnBnClickedCheck8();
	afx_msg void OnBnClickedCheck9();
	afx_msg void OnBnClickedCheck15();
	afx_msg void OnBnClickedCheck16();
	afx_msg void OnBnClickedCheck17();
	afx_msg void OnBnClickedCheck19();
	afx_msg void OnEnChangeEdit12();
	afx_msg void OnEnChangeEdit15();
	afx_msg void OnEnChangeEdit18();
	afx_msg void OnEnChangeEdit21();
	afx_msg void OnEnChangeEdit25();
	afx_msg void OnEnChangeEdit28();
	afx_msg void OnEnChangeEdit31();
	afx_msg void OnEnChangeEdit34();
	afx_msg void OnEnChangeEdit37();
	afx_msg void OnEnChangeEdit40();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnCbnSelchangeCombo4();
	afx_msg void OnCbnSelchangeCombo12();
	afx_msg void OnCbnSelchangeCombo14();
	afx_msg void OnCbnSelchangeCombo16();
	afx_msg void OnCbnSelchangeCombo18();
	afx_msg void OnCbnSelchangeCombo20();
	afx_msg void OnCbnSelchangeCombo22();
	afx_msg void OnCbnSelchangeCombo24();
	afx_msg void OnCbnSelchangeCombo26();
	afx_msg void OnEnChangeEdit13();
	afx_msg void OnEnChangeEdit16();
	afx_msg void OnEnChangeEdit19();
	afx_msg void OnEnChangeEdit22();
	afx_msg void OnEnChangeEdit26();
	afx_msg void OnEnChangeEdit29();
	afx_msg void OnEnChangeEdit32();
	afx_msg void OnEnChangeEdit35();
	afx_msg void OnEnChangeEdit38();
	afx_msg void OnEnChangeEdit41();
	afx_msg void OnEnChangeEdit14();
	afx_msg void OnEnChangeEdit17();
	afx_msg void OnEnChangeEdit20();
	afx_msg void OnEnChangeEdit23();
	afx_msg void OnEnChangeEdit27();
	afx_msg void OnEnChangeEdit30();
	afx_msg void OnEnChangeEdit33();
	afx_msg void OnEnChangeEdit36();
	afx_msg void OnEnChangeEdit39();
	afx_msg void OnEnChangeEdit42();
	CColorStatic m_label1;
	afx_msg void OnBnClickedButtonRoof1();
	afx_msg void OnBnClickedButtonRoof2();
	afx_msg void OnBnClickedButtonRoof3();
	afx_msg void OnBnClickedButtonRoof4();
	afx_msg void OnBnClickedButtonRoof5();
	afx_msg void OnBnClickedButtonRoof6();
	afx_msg void OnBnClickedButtonRoof7();
	afx_msg void OnBnClickedButtonRoof9();
	afx_msg void OnBnClickedButtonRoof8();
	afx_msg void OnBnClickedButtonRoof10();
	CButton m_openingRoof1;
	CButton m_openingRoof2;
	CButton m_openingRoof3;
	CButton m_openingRoof4;
	CButton m_openingRoof5;
	CButton m_openingRoof6;
	CButton m_openingRoof7;
	CButton m_openingRoof8;
	CButton m_openingRoof9;
	CButton m_openingRoof10;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
};

